Subject: Devel::Modlist 0.2 available on CPAN
From: [email-masked] (Randy J. Ray)
Date: 11 Mar 1999 18:33:52 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

(This was not announced when first released, as I wanted to make sure it was
a fairly stable package, first)

I have a late-alpha/early-beta of a module-dependancy-listing package on CPAN,
called Devel::Modlist. I don't have a full set of support files like I use
with my other packages, so this announcement will have to be improv'd :-).

The Devel::Modlist package is intended to list, after execution, the modules
that you script made use of. An example usage:

{ tremere:132 } perl -d:Modlist /usr/bin/imgsize ~/svsm.gif 
WIDTH=192 HEIGHT=192
AutoLoader                 
Exporter                   
Getopt::Std                
Image::Size            2.10
Symbol                 1.02
strict                 1.01
vars

Where discernable, the version of the module is also reported. There are a 
couple of options to tailor and/or reduce the output. The package does come
with a reasonable manual page, so users aren't left completely in the dark.
I recently used this package to cut the number of loaded files used by my
Image::Size package by nearly half. What you see above is post-streamlining.
The original set of dependancies included IO::File, which used DynaLoader and
Carp... etc.

The package may be found under either my id (RJRAY) or by name under the
Devel/ area.

Randy
-- 
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
Randy J. Ray                                                    [email-masked]
Campbell, CA                                                      [email-masked]
<A HREF="http://www.svsm.org">Silicon Valley Scale Modelers</A>